Summary:  Midgard database and Administrative interfaces
Name: midgard-data
Version: 1.4.1
Release: ipl1
URL: http://www.midgard-project.org/
Vendor: Midgard Project <http://www.midgard-project.org>
Source0: midgard-data-%{version}.tar.bz2
Source2: midgard-db-install.sh
Source3: midgard-data.conf
Patch0: filetemplates-relocate.patch

License: distributable
Group: Networking/Daemons
Requires: midgard-lib = %{version}, libMySQL, php-midgard, mod_midgard

%description
Midgard is a freely-available Web application development and
publishing platform based on the popular PHP scripting language. It is
an Open Source development project, giving you the freedom to create
your solutions in an open environment. Midgard is the tool for
creating, modifying and maintaining dynamic database-enabled web
services. This package contains Administrative Interface and Demonstration
Site for Midgard.

%prep
%setup -q -a 0
%patch -p1

%build
mkdir -p data
cp configure data/
cp *.{in,sql,xml,xml.gz} data/
cp INSTALL data/
cp database-upgrade data/

cat <<EOTEXT > POSTINSTALL
Please run 

/etc/httpd/conf/addon-modules/midgard-db-install.sh

as root. If you've changed default password for MySQL
administrative user ('root') then check midgard-db-install.sh
before running it. At the top of script you'll find configuration
options.

EOTEXT
cat <<EOTEXT > UNINSTALL
midgard-data: don't forget to remove the 'Include /etc/httpd/conf/addon-modules/midgard.conf'
              and 'Include /etc/httpd/conf/vhosts/midgard-data.conf' directives you added to
              your httpd.conf when you installed this package
EOTEXT

%post
echo 'midgard-data: please read the file'
echo '              %_docdir/midgard-data-%{version}/POSTINSTALL which'
echo '              contains instructions to finalize the setup'

%install
rm -rf $RPM_BUILD_ROOT/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf/addon-modules
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf/vhosts
mkdir -p $RPM_BUILD_ROOT/var/www/blobs
mkdir -p $RPM_BUILD_ROOT/var/www/html/midgard
mkdir -p $RPM_BUILD_ROOT/var/www/html/example
cp -pr $RPM_BUILD_DIR/%{name}-%{version}/{example,midgard} $RPM_BUILD_ROOT/var/www/html
cp -pr $RPM_BUILD_DIR/%{name}-%{version}/filetemplates/framed-admin-en $RPM_BUILD_ROOT/var/www/html/midgard/framed-admin
cp -pr $RPM_BUILD_DIR/%{name}-%{version}/filetemplates/ft-en $RPM_BUILD_ROOT/var/www/html/midgard/admin
cp %{SOURCE2} $RPM_BUILD_ROOT/etc/httpd/conf/addon-modules
chmod a+x $RPM_BUILD_ROOT/etc/httpd/conf/addon-modules/midgard-db-install.sh
cp %{SOURCE3} $RPM_BUILD_ROOT/etc/httpd/conf/vhosts

%preun
cat %_docdir/midgard-data-%{version}/UNINSTALL

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/httpd/conf/addon-modules/midgard-db-install.sh
%config /etc/httpd/conf/vhosts/midgard-data.conf
%attr (-,apache,apache) /var/www/blobs
%attr (-,apache,apache) /var/www/html/midgard
%attr (-,apache,apache) /var/www/html/example

%doc data/*
%doc POSTINSTALL
%doc UNINSTALL

%changelog
* Mon Mar 19 2001 Alexander Bokovoy <ab@avilink.net>
- First build for Sisyphus

* Thu Dec 14 2000 Alexander Bokovoy <ab@avilink.net>
    - BLOBs directory permissions fixed, SGID added
    - /etc/httpd/conf/vhosts dir creation added (req. for Mandrake)
    
* Mon Dec 11 2000 Emile Heyns <emile@iris-advies.com>
    - combined redhat & mandrake specfiles
    
* Fri Dec 01 2000 Alexander Bokovoy <ab@avilink.net>
    - Rewritten from scratch to fit Midgard into one package
    - Version 1.4beta7
    - First installation script with Repligard as installer

