#!/bin/bash
###################################################################
# PLEASE CHANGE ENTRIES BELOW IF THEY DIFFERENT FROM DEFAULTS
###################################################################
# MYSQL administrative user
ADMNAME="root"
# MYSQL administrative user's password
ADMPWD=""
###################################################################
# PLEASE DO NOT CHANGE ANYTHING BELOW
###################################################################
#
VERSION="1.4.1"
#
#
# Check if we are running as root. This will work on Redhat and Mandrake,
# we will need a more portable check at some time.
USER=`whoami`
if [ "${USER}" != "root" ]; then
  echo "You are logged in as ${USER}. Please rerun this script as root."
  exit
fi
#
olddir=`pwd`
cd /usr/share/doc/midgard-data-$VERSION
./configure --with-db=midgard --with-db-admin=$ADMNAME --with-db-admin-password=$ADMPWD \
	    --with-db-user=midgard --with-db-user-password=midgard \
	    --with-ip=127.0.0.1 --with-host=localhost.localdomain \
	    --with-port=8888 --with-blobdir=/var/www/blobs \
	    --with-apache-user=apache --with-apache-group=apache \
	    --with-php=4
./dbinstall -n
echo
echo "Midgard database installation finished. Please add"
echo "------------->8--------------------->8------------"
echo "Include /etc/httpd/conf/addon-modules/midgard.conf"
echo "Include /etc/httpd/conf/vhosts/midgard-data.conf"
echo "-------------8<---------------------8<------------"
echo "into /etc/httpd/conf/httpd.conf before using Midgard"
echo
echo "Then restart Apache (e.g. 'service httpd restart') and"
echo "point your browser to http://localhost.localdomain:8888/asgard/"
echo "Use combination 'admin/password' as your login and password"
echo
echo "Thank you for selecting Midgard!"
cd $olddir
